Debian Bug report logs - #605409
dpkg-cross: Please add armhf support

version graph

Package: src:dpkg-cross; Maintainer for src:dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Mon, 29 Nov 2010 17:54:01 UTC

Severity: wishlist

Tags: patch

Fixed in version dpkg-cross/2.6.0

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#605409; Package src:dpkg-cross. (Mon, 29 Nov 2010 17:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Mon, 29 Nov 2010 17:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg-cross: Please add armhf support
Date: Mon, 29 Nov 2010 20:55:53 +0000
[Message part 1 (text/plain, inline)]
Source: dpkg-cross
Severity: wishlist
Tags: patch

Hi,

The armhf port has reached a very good state (at 87%) at debian-ports.org,
and I'm now mass-filing bug reports to packages for armhf support.
Most packages just have to add armhf in the architecture field. The complete
list is in http://wiki.debian.org/ArmHardFloatTodo

In particular, dpkg-cross armhf support is necessary to actually cross-build armhf
packages.

The package builds fine using the attached patch. Mind you, we do not target
squeeze, so there is no rush. But please consider adding armhf support. :)

Regards

Konstantinos


-- System Information:
Debian Release: squeeze/sid
Architecture: armhf (armv7l)

Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[dpkg-cross-armhf.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Wed, 08 Dec 2010 20:42:08 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Wed, 08 Dec 2010 21:03:09 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Wed, 08 Dec 2010 21:03:09 GMT) Full text and rfc822 format available.

Message #12 received at 605409-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 605409-close@bugs.debian.org
Subject: Bug#605409: fixed in dpkg-cross 2.6.0
Date: Wed, 08 Dec 2010 21:02:06 +0000
Source: dpkg-cross
Source-Version: 2.6.0

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.6.0.dsc
  to main/d/dpkg-cross/dpkg-cross_2.6.0.dsc
dpkg-cross_2.6.0.tar.gz
  to main/d/dpkg-cross/dpkg-cross_2.6.0.tar.gz
dpkg-cross_2.6.0_all.deb
  to main/d/dpkg-cross/dpkg-cross_2.6.0_all.deb
libdebian-dpkgcross-perl_2.6.0_all.deb
  to main/d/dpkg-cross/libdebian-dpkgcross-perl_2.6.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 605409@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 08 Dec 2010 20:39:01 +0000
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.6.0
Distribution: experimental
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 592458 599206 605409
Changes: 
 dpkg-cross (2.6.0) experimental; urgency=low
 .
   * Add armhf support to cross-config (Closes: #605409)
   * Document file removal process (Closes: #599206)
   * Add translation support for runtime messages.
   * Move upload to experimental
   * Retain Section in converted package. (Closes: #592458)
Checksums-Sha1: 
 e07606bb47976a0b637caef76dd58fe613d6e560 1209 dpkg-cross_2.6.0.dsc
 aaa3147e0d76de06a38db9c834b669787c4662b4 76249 dpkg-cross_2.6.0.tar.gz
 248103057cc18a1553fb21fb8420f28d30ca4b1d 53542 dpkg-cross_2.6.0_all.deb
 74c02e3935fc9c14fbd3f764ec5dab3f6593c745 29492 libdebian-dpkgcross-perl_2.6.0_all.deb
Checksums-Sha256: 
 c2f7c767164b62dd032970bf63a17aed423ee8137857dad4e6dfa7378b631cdd 1209 dpkg-cross_2.6.0.dsc
 bef483939997ff3ffdae2302fbdd4d5ee212f302077e8b0e2e0e47e856c8ecbc 76249 dpkg-cross_2.6.0.tar.gz
 38f3c0b91fb0a21d15dbbac6a8e4e5c19d460ce9dd9b7b86b26c9a4ef40e23df 53542 dpkg-cross_2.6.0_all.deb
 50e1798fa576508d18d66c6f8ff327b2717a411ed783f39a60f4b8b2c6e726e4 29492 libdebian-dpkgcross-perl_2.6.0_all.deb
Files: 
 8fa5680ee8be84c6ba30e64845c2e13f 1209 utils extra dpkg-cross_2.6.0.dsc
 8adaf56a64a62f1b3ee0e8fbd02b6090 76249 utils extra dpkg-cross_2.6.0.tar.gz
 3e197e2215960710964e3707214a4f3c 53542 utils extra dpkg-cross_2.6.0_all.deb
 23425c78224a4c01e492c54ea6674f0f 29492 perl extra libdebian-dpkgcross-perl_2.6.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkz/77oACgkQiAEJSii8s+P0KwCgyVVa6WalCeUtmLWYxRzCGjau
V2cAoNvOzu2Gh6xhVIhZ8d0o/DKKkc1A
=jLlU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Apr 2011 07:32:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:29:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.